Bug 1654923 - CVE-2018-18314 perl: Heap-based buffer overflow in S_regatom() [fedora-all]
Summary: CVE-2018-18314 perl: Heap-based buffer overflow in S_regatom() [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 29
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2018-18314
TreeView+ depends on / blocked
 
Reported: 2018-11-30 03:18 UTC by Doran Moppert
Modified: 2019-01-25 13:06 UTC (History)
10 users (show)

Fixed In Version: perl-5.28.1-426.fc30 perl-5.28.1-425.fc29 perl-5.26.3-415.fc28 perl-5.26-20181205105946.b88aa309 perl-5.26-20181205105946.0dec8aa7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-02 08:27:03 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-11-30 03:18:33 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Doran Moppert 2018-11-30 03:18:39 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1646751,1654923

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-11-30 09:16:26 UTC
perl-5.28.1-425.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9dbe983805

Comment 3 Fedora Update System 2018-11-30 10:05:10 UTC
perl-5.26.3-415.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ca03363d57

Comment 4 Fedora Update System 2018-12-01 01:37:49 UTC
perl-5.26.3-415.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ca03363d57

Comment 5 Fedora Update System 2018-12-01 02:42:42 UTC
perl-5.28.1-425.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9dbe983805

Comment 6 Fedora Update System 2018-12-02 08:27:03 UTC
perl-5.28.1-425.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-12-05 13:44:09 UTC
perl-5.26-20181205105946.b88aa309 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-82af46f17a

Comment 8 Fedora Update System 2018-12-05 13:45:21 UTC
perl-5.26-20181205105946.0dec8aa7 has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-e9e2493377

Comment 9 Fedora Update System 2018-12-06 00:12:16 UTC
perl-5.26-20181205105946.b88aa309 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-82af46f17a

Comment 10 Fedora Update System 2018-12-06 00:40:15 UTC
perl-5.26-20181205105946.0dec8aa7 has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-e9e2493377

Comment 11 Fedora Update System 2018-12-12 01:44:46 UTC
perl-5.26.3-415.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-12-15 03:18:36 UTC
perl-5.26-20181205105946.b88aa309 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-12-15 03:18:37 UTC
perl-5.26-20181205105946.0dec8aa7 has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.